> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update the attributes of a reserved address.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml patch /reserved_addrs/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /reserved_addrs/{id}:
    patch:
      tags:
        - ReservedAddrs
      summary: Update
      description: |
        Update the attributes of a reserved address.
      operationId: ReservedAddrsUpdate
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReservedAddrUpdate'
      responses:
        '200':
          description: |
            Update the attributes of a reserved address.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReservedAddr'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    ReservedAddrUpdate:
      type: object
      properties:
        id:
          description: n/a
          type: string
        description:
          description: >
            human-readable description of what this reserved address will be
            used for
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this reserved
            address. Optional, max 4096 bytes.
          type: string
    ReservedAddr:
      type: object
      properties:
        id:
          description: |
            unique reserved address resource identifier
          type: string
        uri:
          description: |
            URI of the reserved address API resource
          type: string
        created_at:
          description: |
            timestamp when the reserved address was created, RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of what this reserved address will be
            used for
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this reserved
            address. Optional, max 4096 bytes.
          type: string
        addr:
          description: >
            hostname:port of the reserved address that was assigned at creation
            time
          type: string
        region:
          description: >
            reserve the address in this geographic ngrok datacenter. Optional,
            default is us. (au, eu, ap, us, jp, in, sa)
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````